package com.chelvc.framework.base.exception;

import org.springframework.http.HttpStatus;

/**
 * 资源不可用异常
 *
 * @author Woody
 * @date 2023/1/1
 */
public class ResourceUnavailableException extends FrameworkException {
    public ResourceUnavailableException() {
        this("Resource unavailable");
    }

    public ResourceUnavailableException(String message) {
        this(message, null, null);
    }

    public ResourceUnavailableException(String message, String business) {
        this(message, business, null);
    }

    public ResourceUnavailableException(String message, Throwable cause) {
        this(message, null, cause);
    }

    public ResourceUnavailableException(String message, String business, Throwable cause) {
        super(HttpStatus.NOT_ACCEPTABLE, message, business, cause);
    }
}
