package com.chelvc.framework.base.model;

import java.io.Serializable;

import com.chelvc.framework.common.model.Platform;
import com.chelvc.framework.common.model.Terminal;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * 会话信息
 *
 * @author Woody
 * @date 2023/1/1
 */
@Getter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Session implements Serializable {
    /**
     * 主体标识
     */
    private Long id;

    /**
     * 使用信息
     */
    private Using using;

    /**
     * 请求地址
     */
    private String host;

    /**
     * 应用范围
     */
    private String scope;

    /**
     * 电话号码
     */
    private String mobile;

    /**
     * 设备标识
     */
    private String device;

    /**
     * 渠道来源
     */
    private String channel;

    /**
     * 应用平台
     */
    private Platform platform;

    /**
     * 客户终端
     */
    private Terminal terminal;

    /**
     * 客户端版本号
     */
    private String version;

    /**
     * 设备指纹
     */
    private String fingerprint;

    /**
     * 请求时间戳
     */
    private Long timestamp;
}
