package com.chelvc.framework.base.model;

import com.chelvc.framework.common.model.Enumeration;
import lombok.Getter;

/**
 * 系统使用枚举
 *
 * @author Woody
 * @date 2023/1/1
 */
@Getter
public enum Using implements Enumeration {
    /**
     * 常规使用
     */
    NORMAL("常规使用"),

    /**
     * 当日首次使用
     */
    NEWLY("当日首次使用"),

    /**
     * 历史首次使用
     */
    INITIAL("历史首次使用");

    /**
     * 使用描述
     */
    private final String description;

    Using(String description) {
        this.description = description;
    }
}
