package com.chelvc.framework.security.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import com.chelvc.framework.base.annotation.Versioning;
import com.chelvc.framework.security.interceptor.JacksonEncryptSerializer;
import com.fasterxml.jackson.annotation.JacksonAnnotationsInside;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * 敏感数据加密
 *
 * @author Woody
 * @date 2023/1/1
 */
@Inherited
@Documented
@JacksonAnnotationsInside
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.FIELD, ElementType.METHOD})
@JsonSerialize(using = JacksonEncryptSerializer.class)
public @interface Encrypt {
    /**
     * 版本控制
     *
     * @return 版本控制数组
     */
    Versioning[] versioning() default {};
}
