package com.chelvc.framework.sms.config;

import lombok.Data;
import org.springframework.boot.autoconfigure.condition.ConditionalOnProperty;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

/**
 * 腾域短信配置
 *
 * @author Woody
 * @date 2023/1/1
 */
@Data
@Configuration
@ConfigurationProperties("sms.tengyu")
@ConditionalOnProperty(prefix = "sms.tengyu", value = {"username", "password"})
public class TengyuSmsProperties {
    /**
     * 用户名
     */
    private String username;

    /**
     * 密码
     */
    private String password;
}
